Close button

Vue Bootstrap 5 Close button

Responsive Vue Close button with the latest Bootstrap 5. Multiple code examples, a user-friendly guide, extensive API, and customization tools.


Basic example

        
            
            <template>
              <MDBBtnClose />
            </template>
          
        
    
        
            
            <script>
              import { MDBBtnClose } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBBtnClose,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtnClose } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Disabled

Disabled close buttons change their opacity. We’ve also applied pointer-events: none and user-select: none to preventing hover and active states from triggering.

        
            
            <template>
              <MDBBtnClose disabled />
            </template>
          
        
    
        
            
            <script>
              import { MDBBtnClose } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBBtnClose,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtnClose } from 'mdb-vue-ui-kit';
            </script>
          
        
    

White variant

Add white property to change color on dark background.

        
            
            <template>
              <MDBBtnClose white />
              <MDBBtnClose white disabled />
            </template>
          
        
    
        
            
            <script>
              import { MDBBtnClose } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBBtnClose,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtnClose } from 'mdb-vue-ui-kit';
            </script>
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Close button - API


SCSS variables

Close button uses Sass variables and Sass customization is supported.

        
            
          $btn-close-width: 1em;
          $btn-close-height: $btn-close-width;
          $btn-close-padding-x: 0.25em;
          $btn-close-padding-y: $btn-close-padding-x;
          $btn-close-color: $black;
          $btn-close-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$btn-close-color}'><path d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/></svg>");
          $btn-close-focus-shadow: $input-btn-focus-box-shadow;
          $btn-close-opacity: 0.5;
          $btn-close-hover-opacity: 0.75;
          $btn-close-focus-opacity: 1;
          $btn-close-disabled-opacity: 0.25;
          $btn-close-white-filter: invert(1) grayscale(100%) brightness(200%);

Close button

React Bootstrap 5 Close button component

Responsive Close button built with Bootstrap 5, React 18 and Material Design 2.0. Examples with usage of close button component to dismiss content of modals, alerts, and popovers.


Basic example

        
            
            import React from 'react';
            import { MDBBtn } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBBtn className="btn-close" color="none" aria-label="Close" />
              );
            }
          
        
    

Disabled

Disabled close buttons change their opacity. We’ve also applied pointer-events: none and user-select: none to preventing hover and active states from triggering.

        
            
            import React from 'react';
            import { MDBBtn } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBBtn className="btn-close" color="none" disabled aria-label="Close" />
              );
            }
          
        
    

White variant

Add btn-close-white class to change color on dark backround.

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBBtn className="btn-close btn-close-white" color="none" aria-label="Close" />
                <MDBBtn className="btn-close btn-close-white" color="none" aria-label="Close" disabled />
              </>
            );
          }
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.